Subject: [bug#34613] Acknowledgement ([PATCH] gnu: Add prometheus.)

From: Ludovic Courtès <[email-masked]>
Date: Mon, 11 Mar 2019 23:19:59 +0100

Hi Gábor!

Gábor Boskovits <[email-masked]> skribis:

> There are some problems with it however:
>
> The tarball has a vendor directory, containing sources of third party
> go stuff. How do we deal with that?
> (Should we package the stuff there, and link the sources into the tree?)

I think we generally do that yes.  Pierre, Leo?

> I have noticed a few possible problems:
> https://github.com/prometheus/prometheus/blob/master/vendor/github.com/influxdata/influxdb/LICENSE_OF_DEPENDENCIES.md
> indicates that glyphicons is possibly non-free, needs further
> investigation.

Glyphicons appears to be non-free, indeed.  Could you check what Debian
does, for instance?  It may be that we can just remove or replace it
with something else.

> https://github.com/prometheus/prometheus/tree/master/vendor/github.com/shurcooL/httpfs
> does not copy the original LICENSE file from upstream, it is MIT
> licensed. Should report a bug against prometheus.

OK.

> I would like to know if anyone could help me get this package into
> shape, and point me towards a way to use inputs instead of linking the
> source into the build tree. It would be nice, if we didn't have to
> build these stuffs twice.
> I am willing to do the work, but I need some pointer, as I am not into go.

I’m ignorant about Go, but hopefully Pierre, Leo, or someone else with
experience with Go packaging can provide some guidance!

It’d be great to have Prometheus!

Thank you
Ludo’.